namespace Employee_Directory
{
	
    using System;
    using System.Collections;
    using System.ComponentModel;
    using System.Data;
    using System.Data.OleDb;
    using System.Drawing;
    using System.Web;
    using System.Web.SessionState;
    using System.Web.UI;
    using System.Web.UI.WebControls;
    using System.Web.UI.HtmlControls;

	public class Header : System.Web.UI.UserControl
	
    
    { 

//标题窗口定义控件的声名
		//创建自定义Utility类对象
		protected CCUtility Utility;
		
		//定义各表单事件保护字符串
		protected string Header_FormAction=".aspx?";
		
//初始化事件
	public Header()
	{
	this.Init += new System.EventHandler(Page_Init);
	}
	
// Header中的自定义包含控件结束

	public void ValidateNumeric(object source, ServerValidateEventArgs args) {
			try{
				Decimal temp=Decimal.Parse(args.Value);
				args.IsValid=true;
		        }catch{
				args.IsValid=false;	}
		}

//定义登录窗口显示控件过程
//初始化页面过程，创建一个Utility实例，并调用其相应的各方法
        protected void Page_Load(object sender, EventArgs e)
        {	
		Utility=new CCUtility(this);
		if (!IsPostBack){
			Page_Show(sender, e);
		}
	}

//页面关闭过程
	protected void Page_Unload(object sender, EventArgs e)
	{
		if(Utility!=null) Utility.DBClose();
	}

//窗口中控件定义事件处理过程
	protected void Page_Init(object sender, EventArgs e)
	{
		InitializeComponent();
	}
        private void InitializeComponent()
        {
		this.Load += new System.EventHandler(this.Page_Load);
		this.Unload += new System.EventHandler(this.Page_Unload);

        }

//定义整体显示页面过程
        protected void Page_Show(object sender, EventArgs e)
        {
		Header_Show();
		
        }
// Header Show end
//完成表单初始化


	protected void Header_Show(){
	//显示标题各内容
	}
    }
}